[SciPy-user] Do I need to get and install LAPACK if I have ATLAS?

skip@pobox.com skip at pobox.com
Wed Feb 22 08:54:41 CST 2006


I seem to have properly built versions of both ATLAS and numpy.  (Thank you
Robert and Travis.)  On to SciPy.  The SciPy installation directions say:

   * Build ATLAS::
     ...
   * Make optimized LAPACK library::
     ...

When I look in the lib directory ATLAS created I see a LAPACK library
though:

    % ls -l
    total 22182
    lrwxrwxrwx   1 skipm    develop       41 Feb 22 06:29 Make.inc -> ...
    -rw-r--r--   1 skipm    develop     1529 Feb 22 06:29 Makefile
    -rw-r--r--   1 skipm    develop  10059380 Feb 22 08:24 libatlas.a
    -rw-r--r--   1 skipm    develop   274044 Feb 22 08:17 libcblas.a
    -rw-r--r--   1 skipm    develop   322928 Feb 22 08:23 libf77blas.a
    -rw-r--r--   1 skipm    develop   340352 Feb 22 08:23 liblapack.a
    -rw-r--r--   1 skipm    develop   300840 Feb 22 06:35 libtstatlas.a

Are the SciPy directions out-of-date or is the ATLAS version of LAPACK
incomplete?

Thx,

Skip



More information about the SciPy-user mailing list